# How to set it up

***

## 📍 What needs to be done for installation

* Do not change the name of the script
* Take care to start the script manually after your core.
* **You will also need** [*<mark style="color:$success;">**ox\_lib**</mark>*](https://github.com/overextended/ox_lib/) **and** [*<mark style="color:$success;">**ox-target**</mark>*](https://github.com/overextended/ox_target) ***or*** [<mark style="color:$success;">**qb-target**</mark>](https://github.com/qbcore-framework/qb-target) **scripts!**

***

## 🛑 Attention

*<mark style="color:$warning;">**If NPCs, i.e., the local population, are enabled on your server, read on!:**</mark>*

* If the destination in your city is not important, please close it. Otherwise, it will conflict with my script. When you kill animals, things like targets may not appear, and you may not be able to collect XP. This is because the animal you hit may not have been spawned by wais-hunting. This can be frustrating for the player.

***

## 🎚 Framework Settings

{% hint style="success" %}
***It can define and operate popular frameworks within itself.*****&#x20;Now you're ready, Proceed to the item setup step.**
{% endhint %}

***

{% hint style="warning" %}
If you are using an older version of Esx or Qbcore, see what needs to be done below.
{% endhint %}

#### ***ESX integration with SharedObject Event (*** *<mark style="color:$warning;">FOR OLD VERSION ESX</mark>* ***)***

```lua
Config.Framework = {
    ["Framework"] = "esx", -- auto, esx, qbcore or qbox
    ["ResourceName"] = "es_extended ", -- auto, es_extended or qb-core or your resource name. If you using qbx you should write qb-core
    ["SharedEvent"] = "esx:getSharedObject" -- Event name for old cores.
}
```

#### ***QBCORE integration with SharedObject Event (*** *<mark style="color:$warning;">FOR OLD VERSION QBCORE</mark>* ***)***

```lua
Config.Framework = {
    ["Framework"] = "qbcore", -- auto, esx, qbcore or qbox
    ["ResourceName"] = "qb-core", -- auto, es_extended or qb-core or your resource name. If you using qbx you should write qb-core
    ["SharedEvent"] = "qb-core:getSharedObject" -- Event name for old cores.
}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-hunting/how-to-set-it-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
